services:
  rabbitmq:
    image: rabbitmq:3-management
    restart: unless-stopped
    container_name: rabbitmq-server
    ports:
      - "5672:5672"
      - "15672:15672"
    environment:
      RABBITMQ_DEFAULT_USER: user
      RABBITMQ_DEFAULT_PASS: password
      RABBITMQ_CONFIG_FILE: /etc/rabbitmq/rabbit
    volumes:
      - rabbitmq-data:/var/lib/rabbitmq
      - ./rabbit.json:/etc/rabbitmq/rabbit.json:ro
    networks:
      - shared-robotnet
volumes:
  rabbitmq-data:
networks:
  shared-robotnet:
    name: shared-robotnet
    external: true
